/**
 * Fitxer principal del servidor xichttpd
 *
 * Autor: Miquel Fontanals Rofes
 *
 */
#include "main.h"

/**
 * Mtode main del servidor, accepta com a argument opcional de lnia de comandes
 * el nom del fitxer de configuraci a utilitzar
 */
int main (int argc, char *argv[])
{
	/* Comprovem si a l'entrada hi tenim el fitxer de configuraci */
	sprintf (config.fitxer_config, "%s", "/etc/xichttpd.conf"); // per defecte
	if (argc > 1) {
		if (strlen (argv[1]) < 255)
			sprintf (config.fitxer_config, "%s", argv[1]);
	}
	init ();
	return 0;
}
